Subject: RE: Windows-native "child processes" briefly open new console win dow
From: Bernard Dautrevaux <[email-masked]>
To: "'Nicolay Giraldo'" <[email-masked]>, Andy Helten <[email-masked]>, Henrik Bergstrom <[email-masked]>
Cc: [email-masked]
Date: Thu, 31 May 2001 14:13:39 +0200

> -----Original Message-----
> From: Nicolay Giraldo [mailto:[email-masked]]
> Sent: Wednesday, May 30, 2001 9:20 PM
> To: Andy Helten; Henrik Bergstrom
> Cc: [email-masked]
> Subject: RE: Windows-native "child processes" briefly open new console
> window
> 
> 
> >BTW, you most definitely can get the source code for the 
> VxWorks/Tornado
> >compiler, after all, it is GNU.  In fact, I recently set out 
> to obtain the
> >source code for the VxWorks/GNU PowerPC cross-compiler and 
> it turns out you
> >have to request it from WindRiver.  It is not accessible 
> from their web
> >site (at least not easy to find if it is there) and they do 
> not mention in
> >any documentation how to obtain the GNU compiler source.  
> They also ask for
> >a license number when you request the GNU compiler source.  
> My question --
> >why do I need a Tornado license to receive GNU 
> software??????  I'm not sure
> >what they would have done if I hadn't provided a license number.
> >
> >BTW, they also distribute a cygwinb19.dll and apparently you have to
> >request the source for it as well.  Is WindRiver following the rules?
> >
> >Andy
> >
> 
> 
> I think they follow the rules, but the rules also says that 
> you can get the 
> sources legally from anyone who has them.
> 

Not exactly; the rules say that anyone who has the sources is allowed to
redistribute them... adn that anyone who distribute the objects is REQUIRED
to also accept to provide the source code free of charge (except for
duplication costs) to whoever get the binaries (perhaps by paying a lot to
get the binaries).

The idea is that you can SOLD the binaries the price you want and you are
ONLY required to provide source code to whoever BUY th ebinaries, not to
anybody else. And if you buy the binaries some thousand dollars (or
tens/hundred of) you probably will not be willing to give them for free to
someone who may be your competitor in your market...

Just my 0$,

	Bernard

--------------------------------------------
Bernard Dautrevaux
Microprocess Ingenierie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel:	+33 (0) 1 47 68 80 80
Fax:	+33 (0) 1 47 88 97 85
e-mail:	[email-masked]
		[email-masked]
-------------------------------------------- 

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple